import request from '@/utils/request'

export function listLabel(query) {
  return request({
    url: '/dmLabel/list',
    method: 'get',
    params: query
  })
}

export function createLabel(data) {
  return request({
    url: '/dmLabel/create',
    method: 'post',
    data
  })
}

export function readLabel(id) {
  return request({
    url: '/dmLabel/read',
    method: 'get',
    params: { id }
  })
}

export function updateLabel(data) {
  return request({
    url: '/dmLabel/update',
    method: 'post',
    data
  })
}

export function deleteLabel(data) {
  return request({
    url: '/dmLabel/delete',
    method: 'post',
    data
  })
}

export function listAll() {
  return request({
    url: '/dmLabel/listAll',
    method: 'get'
  })
}
